    # File lib/active_support/vendor/memcache-client-1.5.1/memcache.rb, line 230
      def get(key, raw = false)
        server, cache_key = request_setup key

        value = if @multithread then
                  threadsafe_cache_get server, cache_key
                else
                  cache_get server, cache_key
                end

        return nil if value.nil?

        value = Marshal.load value unless raw

        return value
      rescue TypeError, SocketError, SystemCallError, IOError => err
        handle_error server, err
      end